package com.kingdee.eas.custom.beisen.synchronousorg;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SynchronousEmpBillFactory
{
    private SynchronousEmpBillFactory()
    {
    }
    public static com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("4A7B5179") ,com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill.class);
    }
    
    public static com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("4A7B5179") ,com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill.class, objectCtx);
    }
    public static com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("4A7B5179"));
    }
    public static com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.synchronousorg.ISynchronousEmpBill)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("4A7B5179"));
    }
}